<?xml version="1.0" encoding="UTF-8"?>
<configuration>
	<appender name="stdout" class="ch.qos.logback.core.ConsoleAppender">
		<encoder>
			<springProfile name="test,dev">
				<pattern>%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n</pattern>
			</springProfile>
			<springProfile name="stage">
				<pattern>%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n</pattern>
			</springProfile>
			<springProfile name="prod">
				<pattern>%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n</pattern>
			</springProfile>
			<!-- If no active profile is set-->
			<springProfile name="default">
				<pattern>%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n</pattern>
			</springProfile>
		</encoder>
	</appender>
	<springProfile name="test,stage,dev,default">
		<root level="INFO">
			<appender-ref ref="stdout" />
		</root>
	</springProfile>
	<springProfile name="prod">
		<root level="DEBUG">
			<appender-ref ref="stdout" />
		</root>
	</springProfile>
</configuration>